### Hierarchy

- FlowNodeHandler
  - ErrorBoundaryEventHandler

### Implements

- IFlowNodeHandler

## Index

### Constructors

- constructor

### Properties

- activityHandler

### Methods

- execute
- executeIntern
- getFlowNodeById
- getNextFlowNodeFor

## Constructors

### constructor

- new ErrorBoundaryEventHandler(activityHandler: FlowNodeHandler): ErrorBoundaryEventHandler

- - Defined in execution/handler/error_boundary_event_handler.ts:7

  #### Parameters

  - ##### activityHandler: FlowNodeHandler

  #### Returns ErrorBoundaryEventHandler

## Properties

### Private activityHandler

activityHandler: FlowNodeHandler

- Defined in execution/handler/error_boundary_event_handler.ts:7

## Methods

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  Inherited from FlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Overrides FlowNodeHandler.executeIntern

  - Defined in execution/handler/error_boundary_event_handler.ts:14

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- Inherited from FlowNodeHandler.getFlowNodeById

  - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from FlowNodeHandler.getNextFlowNodeFor

  - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

Generated using TypeDoc